import { PipeTransform } from '@nestjs/common';
import { Repository } from 'typeorm';
import AjvCall, { ValidateFunction } from 'ajv';
import { ResourceRequestObject } from '../../../types-common/request';
import { PipeMixin } from '../../../types';
export declare class BodyInputPatchPipe<Entity> implements PipeTransform {
    protected repository: Repository<Entity>;
    protected ajvCall: AjvCall;
    protected validateFunction: ValidateFunction<ResourceRequestObject<Entity>>;
    static inject(pip: PipeMixin): void;
    private relationList;
    constructor(repository: Repository<Entity>, ajvCall: AjvCall);
    transform(value: ResourceRequestObject<Entity>): Promise<ResourceRequestObject<Entity>['data']>;
}
